Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81401 - groff's M & G fonts are broken, perhaps breaking all groff
Summary: groff's M & G fonts are broken, perhaps breaking all groff
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: groff
Version: phoebe
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks: 79578
TreeView+ depends on / blocked
 
Reported: 2003-01-09 01:22 UTC by D. Hugh Redelmeier
Modified: 2007-04-18 16:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-11 09:28:41 UTC


Attachments (Terms of Use)

Description D. Hugh Redelmeier 2003-01-09 01:22:18 UTC
Description of problem:


Version-Release number of selected component (if applicable):
groff-1.18.1-1

How reproducible:
All times I've tried.

Steps to Reproduce:
1.groff </dev/null >/dev/null

    
Actual results:
root@redpbx doc]# groff </dev/null >/dev//null
/usr/share/groff/1.18.1/font/devps/M:6: error: missing code for `u0100..uFFFF'
troff: warning: can't find font `M'
/usr/share/groff/1.18.1/font/devps/G:6: error: missing code for `u0100..uFFFF'
troff: warning: can't find font `G'
[root@redpbx doc]# 


Expected results:
On RHL8.0 this works as expected:
[hugh@redsky hugh]$ groff </dev/null >/dev//null
[hugh@redsky hugh]$ 


Additional info:

- this example is simplified from what I was trying to do

- these fonts are Kanji. Why are they needed for an empty document?

- Phoebe's ...font/devps/M is a little different from RHL8.0's:

[hugh@redsky hugh]$ diff /usr/share/groff/1.18/font/devps/M M
4c4
< fixedkanji 1000,880,120 3
---
> encodingname EUC-JP
5a6
> u0100..uFFFF 1000,880,120 3

Comment 1 D. Hugh Redelmeier 2003-01-09 06:10:27 UTC
I wonder what 79578 is?.  "You are not authorized to access bug #79578."

Why is "version" listed (at top) as "Wolverine"?

Comment 2 Florian La Roche 2003-01-09 15:24:23 UTC
You should have selected Phoebe, but we anyway keep track of all bugs reported
so the version number is not too important.

The above bug helps us track important problems.

Can you check the newest rpm from rawhide and let me know if that fixes
all your problems with groff?

Thanks,

Florian La Roche


Comment 3 D. Hugh Redelmeier 2003-01-10 20:50:18 UTC
Downloading from
ftp://rawhide.redhat.com/pub/redhat/linux/rawhide/i386/RedHat/RPMS/groff-1.18.1-4.i386.rpm
was *really* slow last night.  As is buzilla today.

Same problem:
[root@redpbx tba]# groff </dev/null >/dev/null
/usr/share/groff/1.18.1/font/devps/M:6: error: missing code for `u0100..uFFFF'
troff: warning: can't find font `M'
/usr/share/groff/1.18.1/font/devps/G:6: error: missing code for `u0100..uFFFF'
troff: warning: can't find font `G'
[root@redpbx tba]# rpm -q groff
groff-1.18.1-4

Can you not duplicate this problem?  If not, I wonder why.
My environment has LANG=en_CA.UTF-8, but changing that to en_CA, en_SU or
unsetting it has no effect on this problem.

Comment 4 Florian La Roche 2003-01-11 09:28:41 UTC
groff-1.18.1-5 or newer should have this fixed. src.rpm available at
http://people.redhat.com/laroche/ or soon in rawhide.

Please reopen if this is not fixing your problems.

greetings,

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.